{
    "objects": [
        {
            "attributes": {
                "description": "Overview of services on an individual host.",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"panelRefName\": \"panel_0\", \"gridData\": {\"i\": \"023b7623-9610-47ee-a10c-64ee8d2ccfa1\", \"h\": 11, \"x\": 0, \"w\": 14, \"y\": 0}, \"panelIndex\": \"023b7623-9610-47ee-a10c-64ee8d2ccfa1\", \"embeddableConfig\": {\"title\": \"Running Services\"}, \"version\": \"7.4.0\", \"title\": \"Running Services\"}, {\"panelRefName\": \"panel_1\", \"gridData\": {\"i\": \"40ebab84-f48f-4060-a7af-3ffdf833ad3a\", \"h\": 11, \"x\": 14, \"w\": 12, \"y\": 0}, \"panelIndex\": \"40ebab84-f48f-4060-a7af-3ffdf833ad3a\", \"embeddableConfig\": {\"title\": \"Service States\"}, \"version\": \"7.4.0\", \"title\": \"Service States\"}, {\"panelRefName\": \"panel_2\", \"gridData\": {\"i\": \"0ad1caa8-2a3f-4429-9631-42d1c57a9e64\", \"h\": 11, \"x\": 26, \"w\": 12, \"y\": 0}, \"panelIndex\": \"0ad1caa8-2a3f-4429-9631-42d1c57a9e64\", \"embeddableConfig\": {\"title\": \"Service Sub-State\"}, \"version\": \"7.4.0\", \"title\": \"Service Sub-State\"}, {\"panelRefName\": \"panel_3\", \"gridData\": {\"i\": \"9e37921b-da6f-464d-9683-5c9bd550640b\", \"h\": 11, \"x\": 38, \"w\": 10, \"y\": 0}, \"panelIndex\": \"9e37921b-da6f-464d-9683-5c9bd550640b\", \"embeddableConfig\": {\"title\": \"Return Codes Of Exited Services\"}, \"version\": \"7.4.0\", \"title\": \"Return Codes Of Exited Services\"}, {\"panelRefName\": \"panel_4\", \"gridData\": {\"i\": \"e3ec1fe3-a03a-466e-8bc2-69136e3e6302\", \"h\": 11, \"x\": 0, \"w\": 24, \"y\": 11}, \"panelIndex\": \"e3ec1fe3-a03a-466e-8bc2-69136e3e6302\", \"embeddableConfig\": {\"title\": \"Top Services By Memory Usage\"}, \"version\": \"7.4.0\", \"title\": \"Top Services By Memory Usage\"}, {\"panelRefName\": \"panel_5\", \"gridData\": {\"i\": \"cc928f52-22c9-402d-a7a1-4f32720a4290\", \"h\": 11, \"x\": 24, \"w\": 24, \"y\": 11}, \"panelIndex\": \"cc928f52-22c9-402d-a7a1-4f32720a4290\", \"embeddableConfig\": {\"title\": \"Top Services By Task Count\"}, \"version\": \"7.4.0\", \"title\": \"Top Services By Task Count\"}, {\"panelRefName\": \"panel_6\", \"gridData\": {\"i\": \"c83f16cd-286f-411b-bae9-bade176a8db2\", \"h\": 14, \"x\": 0, \"w\": 48, \"y\": 22}, \"panelIndex\": \"c83f16cd-286f-411b-bae9-bade176a8db2\", \"embeddableConfig\": {\"title\": \"Service Memory Use Over Time\"}, \"version\": \"7.4.0\", \"title\": \"Service Memory Use Over Time\"}]",
                "timeRestore": false,
                "title": "[Metricbeat System] Host Services Overview",
                "version": 1
            },
            "id": "c431f410-f9ac-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "dashboard": "7.3.0"
            },
            "references": [
                {
                    "id": "a30871f0-f98f-11e9-90e8-1fb18e796788",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "bb3a8720-f991-11e9-90e8-1fb18e796788",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "e6e639e0-f992-11e9-90e8-1fb18e796788",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "9c69cad0-f9b0-11e9-90e8-1fb18e796788",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "8c071e20-f999-11e9-90e8-1fb18e796788",
                    "name": "panel_4",
                    "type": "visualization"
                },
                {
                    "id": "4b254630-f998-11e9-90e8-1fb18e796788",
                    "name": "panel_5",
                    "type": "visualization"
                },
                {
                    "id": "d3f51850-f9b6-11e9-90e8-1fb18e796788",
                    "name": "panel_6",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2019-10-31T14:21:04.680Z",
            "version": "WzE0NjksMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": []}"
                },
                "title": "Running Services [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"metric\": {\"percentageMode\": false, \"style\": {\"fontSize\": 60, \"bgColor\": false, \"bgFill\": \"#000\", \"labelColor\": false, \"subText\": \"\"}, \"colorSchema\": \"Green to Red\", \"invertColors\": false, \"labels\": {\"show\": true}, \"colorsRange\": [{\"type\": \"range\", \"to\": 10000, \"from\": 0}], \"metricColorMode\": \"None\", \"useRanges\": false}, \"type\": \"metric\", \"addTooltip\": true, \"dimensions\": {\"metrics\": [{\"format\": {\"params\": {}, \"id\": \"number\"}, \"type\": \"vis_dimension\", \"accessor\": 0}]}, \"addLegend\": false}, \"aggs\": [{\"params\": {\"field\": \"system.service.name\", \"customLabel\": \"Running Services [Metricbeat Services]\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}], \"type\": \"metric\", \"title\": \"Running Services [Metricbeat System]\"}"
            },
            "id": "a30871f0-f98f-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-31T13:35:51.219Z",
            "version": "WzE0NTAsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": []}"
                },
                "title": "Service States [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"isDonut\": true, \"type\": \"pie\", \"addLegend\": true, \"dimensions\": {\"metric\": {\"params\": {}, \"aggType\": \"count\", \"format\": {\"id\": \"number\"}, \"accessor\": 1}, \"buckets\": [{\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"string\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 0}]}, \"legendPosition\": \"right\", \"labels\": {\"show\": false, \"last_level\": true, \"truncate\": 100, \"values\": true}, \"addTooltip\": true}, \"aggs\": [{\"params\": {\"customLabel\": \"Service States [Metricbeat Services]\"}, \"id\": \"1\", \"type\": \"count\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"system.service.state\", \"otherBucketLabel\": \"Other\", \"size\": 5, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"pie\", \"title\": \"Service States [Metricbeat System]\"}"
            },
            "id": "bb3a8720-f991-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-31T13:38:51.526Z",
            "version": "WzE0NTIsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": []}"
                },
                "title": "Service Sub-State [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"isDonut\": true, \"type\": \"pie\", \"addLegend\": true, \"dimensions\": {\"metric\": {\"params\": {}, \"aggType\": \"count\", \"format\": {\"id\": \"number\"}, \"accessor\": 1}, \"buckets\": [{\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"string\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 0}]}, \"legendPosition\": \"right\", \"labels\": {\"show\": false, \"last_level\": true, \"truncate\": 100, \"values\": true}, \"addTooltip\": true}, \"aggs\": [{\"params\": {\"customLabel\": \"Service Sub-State [Metricbeat Services]\"}, \"id\": \"1\", \"type\": \"count\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"system.service.sub_state\", \"otherBucketLabel\": \"Other\", \"size\": 5, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"pie\", \"title\": \"Service Sub-State [Metricbeat System]\"}"
            },
            "id": "e6e639e0-f992-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-31T13:40:09.336Z",
            "version": "WzE0NTQsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [{\"query\": {\"match\": {\"metricset.name\": {\"query\": \"service\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"service\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index\", \"negate\": false, \"key\": \"metricset.name\", \"value\": \"service\"}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "title": "Return Codes Of Exited Services [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"isDonut\": true, \"type\": \"pie\", \"addLegend\": true, \"dimensions\": {\"metric\": {\"params\": {}, \"aggType\": \"count\", \"format\": {\"id\": \"number\"}, \"accessor\": 1}, \"buckets\": [{\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"number\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 0}]}, \"legendPosition\": \"right\", \"labels\": {\"show\": false, \"last_level\": true, \"truncate\": 100, \"values\": true}, \"addTooltip\": true}, \"aggs\": [{\"params\": {\"customLabel\": \"Return Codes Of Exited Services [Metricbeat Services]\"}, \"id\": \"1\", \"type\": \"count\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"process.exit_code\", \"otherBucketLabel\": \"Other\", \"size\": 5, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"pie\", \"title\": \"Return Codes Of Exited Services [Metricbeat System]\"}"
            },
            "id": "9c69cad0-f9b0-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-31T14:03:44.126Z",
            "version": "WzE0NjEsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Top Services By Memory Usage [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"isModelInvalid\": false, \"series\": [{\"fill\": 0.5, \"formatter\": \"bytes\", \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"terms\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"system.service.resources.memory.usage.bytes\", \"type\": \"avg\"}], \"terms_field\": \"system.service.name\", \"separate_axis\": 0}], \"type\": \"top_n\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"\", \"axis_scale\": \"normal\", \"bar_color_rules\": [{\"id\": \"5af08c50-f998-11e9-ac67-272468589910\"}], \"interval\": \"\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Top Services By Memory Usage [Metricbeat System]\"}"
            },
            "id": "8c071e20-f999-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-10-31T14:11:44.048Z",
            "version": "WzE0NjMsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Top Services By Task Count [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"isModelInvalid\": false, \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"terms\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"system.service.resources.tasks.count\", \"type\": \"avg\"}], \"terms_field\": \"system.service.name\", \"label\": \"\"}], \"type\": \"top_n\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"\", \"axis_scale\": \"normal\", \"bar_color_rules\": [{\"id\": \"3aeae000-f997-11e9-ac67-272468589910\"}], \"interval\": \"\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Top Services By Task Count [Metricbeat System]\"}"
            },
            "id": "4b254630-f998-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-10-31T14:14:42.665Z",
            "version": "WzE0NjUsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Service Memory Use Over Time [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"isModelInvalid\": false, \"series\": [{\"fill\": \"0\", \"formatter\": \"bytes\", \"terms_size\": \"5\", \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"timeseries\", \"stacked\": \"none\", \"split_color_mode\": \"rainbow\", \"color\": \"rgba(244,78,59,1)\", \"line_width\": 1, \"split_mode\": \"terms\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"system.service.resources.memory.usage.bytes\", \"type\": \"avg\"}], \"terms_field\": \"system.service.name\", \"label\": \"\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"\", \"axis_scale\": \"normal\", \"interval\": \"\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Service Memory Use Over Time [Metricbeat System]\"}"
            },
            "id": "d3f51850-f9b6-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-10-31T14:18:54.802Z",
            "version": "WzE0NjcsMV0="
        }
    ],
    "version": "7.4.0"
}